> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tra.cy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plans

> Gets a filtered, sorted, and paginated list of plans with optional inclusions.



## OpenAPI

````yaml en/rest-api/openapi.json get /v1/plans
openapi: 3.0.4
info:
  title: Tracy.Api
  version: '1.0'
servers: []
security: []
tags:
  - name: AccessTokens
  - name: Automations
  - name: Commands
  - name: Dashboards
  - name: Datasets
  - name: Datums
  - name: EmailChangeTokens
  - name: EmailValidationTokens
  - name: Events
  - name: FcmTokens
  - name: FileDownloadTokens
  - name: Files
  - name: Health
  - name: Images
  - name: Metadatums
  - name: Moves
  - name: NotificationMethods
  - name: NotificationTypes
  - name: Options
  - name: Permissions
  - name: PermissionTypes
  - name: Plans
  - name: Properties
  - name: PropertyTypes
  - name: Records
  - name: Representations
  - name: RepresentationTypes
  - name: Roles
  - name: States
  - name: Subscriptions
  - name: Tickets
  - name: Transactions
  - name: Usages
  - name: Users
  - name: Workspaces
paths:
  /v1/plans:
    get:
      tags:
        - Plans
      summary: Get plans
      description: >-
        Gets a filtered, sorted, and paginated list of plans with optional
        inclusions.
      parameters:
        - name: sorting
          in: query
          schema:
            type: string
        - name: offset
          in: query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
        - name: fields
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Plan'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Plan'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Plan'
components:
  schemas:
    Plan:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        price:
          type: number
          format: double
        maxUsersNumber:
          type: integer
          format: int32
          nullable: true
        maxRecordsNumber:
          type: integer
          format: int32
        maxAutomationsNumber:
          type: integer
          format: int32
        maxStorage:
          type: integer
          format: int64
      additionalProperties: false

````